package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 企业邮件
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_message")
public class EnterpriseMessage extends BaseEntity {

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 文件夹id
     */
    private Long folderId;

    /**
     * 文件夹名称
     */
    private String folderName;

    /**
     * 邮件id
     */
    private String messageId;

    /**
     * 消息数量
     */
    private Integer messageNumber;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 邮件标记
     */
    private String flags;

    /**
     * 发件人email
     */
    private String fromEmail;

    /**
     * 发件人名称
     */
    private String fromPersonalName;

    /**
     * 发件类型
     */
    private String fromType;

    /**
     * 发件时间
     */
    private Date sendDate;

    /**
     * 是否同步正文
     */
    private Integer contentSync;

    /**
     * 是否同步地址信息
     */
    private Integer addressSync;

    /**
     * 是否同步附件
     */
    private Integer attachmentSync;
}
