package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 个人邮箱
 * </p>
 *
 * @author zlj
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("personal_mailbox")
public class PersonalMailbox extends BaseEntity {

    /**
     * mail账号
     */
    private String mailUser;

    /**
     * mail授权码
     */
    private String mailPassword;

    /**
     * 状态：1启用 0禁用
     */
    private Integer status;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;

    /**
     * 默认邮箱: 1默认 0非默认
     */
    private Integer defaultStatus;

    /**
     * 收件host
     */
    private String receiveHost;

    /**
     * 收件端口
     */
    private Integer receivePort;

    /**
     * 收件协议
     */
    private String receiveProtocol;

    /**
     * 发件host
     */
    private String sendHost;

    /**
     * 发件端口
     */
    private Integer sendPort;

    /**
     * 发件协议
     */
    private String sendProtocol;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 创建人id
     */
    private Long createUser;

    /**
     * 修改人id
     */
    private Long updateUser;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    private Integer delFlag;

}
