package com.fjhx.email.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import javax.mail.Flags;
import java.util.HashMap;
import java.util.Map;


@Getter
@AllArgsConstructor
public enum MailFlagEnum {

    ANSWERED("1", Flags.Flag.ANSWERED),
    DELETED("2", Flags.Flag.DELETED),
    DRAFT("3", Flags.Flag.DRAFT),
    FLAGGED("4", Flags.Flag.FLAGGED),
    RECENT("5", Flags.Flag.RECENT),
    SEEN("6", Flags.Flag.SEEN),
    USER("7", Flags.Flag.USER),
    ;

    private final String type;
    private final Flags.Flag flag;

    private static final Map<Flags.Flag, MailFlagEnum> map = new HashMap<>();

    static {
        for (MailFlagEnum value : MailFlagEnum.values()) {
            map.put(value.getFlag(), value);
        }
    }

    public static String getType(Flags.Flag flag) {
        return map.get(flag).getType();
    }

}
